> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Trash files

> Move Files to the trash.

**Operation ID:** `http.files.trash`

```http theme={null}
POST /v1/orgs/{org}/projects/{project}/files/trash
```


## OpenAPI

````yaml openapi.json POST /v1/orgs/{org}/projects/{project}/files/trash
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/trash:
    post:
      tags:
        - Files
      summary: Trash files
      description: >-
        Move Files to the trash.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.files.trash
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          required: true
          description: >-
            1–200 printable ASCII characters, no surrounding spaces; '.' and
            '..' are reserved. Reuse this key with the same request when
            retrying an uncertain outcome.
          schema:
            type: string
            minLength: 1
            maxLength: 200
            pattern: ^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/http_files_trash_request'
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_files_trash_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_files_trash_request:
      type: object
      properties:
        path:
          type: string
        file_id:
          type: string
      additionalProperties: false
    http_files_trash_response:
      anyOf:
        - type: object
          properties:
            request_id:
              type: string
            outcome:
              type: string
              const: applied
            replayed:
              type: boolean
            data:
              type: object
              properties:
                kind:
                  type: string
                  const: file_lifecycle
                mode:
                  type: string
                  const: managed_atomic
                outcome:
                  type: string
                  const: applied
                lifecycle:
                  type: string
                  enum:
                    - trash
                    - restore
                placement:
                  type: string
                  enum:
                    - workspace
                    - unplaced
                replayed:
                  type: boolean
                request_id:
                  type: string
                delta_id:
                  anyOf:
                    - type: string
                    - type: 'null'
                lifecycle_id:
                  type: string
                node_id:
                  anyOf:
                    - type: string
                    - type: 'null'
                file_id:
                  type: string
                base_node_revision:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    - type: 'null'
                committed_node_revision:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    - type: 'null'
                base_generation:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                committed_generation:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                source_path:
                  anyOf:
                    - type: string
                    - type: 'null'
                destination_path:
                  anyOf:
                    - type: string
                    - type: 'null'
                purge_operation_id:
                  anyOf:
                    - type: string
                    - type: 'null'
                embed_operation_id:
                  anyOf:
                    - type: string
                    - type: 'null'
                sealed_at:
                  anyOf:
                    - type: string
                    - type: 'null'
                timings_ms:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: number
              required:
                - kind
                - mode
                - outcome
                - lifecycle
                - placement
                - replayed
                - request_id
                - delta_id
                - lifecycle_id
                - node_id
                - file_id
                - base_node_revision
                - committed_node_revision
                - base_generation
                - committed_generation
                - source_path
                - destination_path
                - purge_operation_id
                - embed_operation_id
                - sealed_at
                - timings_ms
              additionalProperties: {}
          required:
            - request_id
            - outcome
            - replayed
            - data
          additionalProperties: {}
        - type: object
          properties:
            request_id:
              type: string
            outcome:
              type: string
              const: pending
            reason:
              type: string
            operation:
              type: object
              properties:
                id:
                  type: string
                request_id:
                  type: string
                status_url:
                  type: string
              required:
                - id
                - request_id
                - status_url
              additionalProperties: false
            approval:
              type: object
              properties:
                url:
                  type: string
                status:
                  type: string
                expires_at:
                  type: string
                effects:
                  type: array
                  items:
                    type: string
                next:
                  type: string
              required:
                - url
                - status
                - expires_at
                - effects
                - next
              additionalProperties: false
          required:
            - request_id
            - outcome
            - reason
            - operation
            - approval
          additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.